//+------------------------------------------------------------------+
//|                                (T_S_R)-Daily Range Display#4.mq4 |
//|                      Copyright  2006, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+

#property copyright "Copyright  2006, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"
#property link      "Display by cja" 
// Thanks to the coders who supplied some of the code and ideas; 
// Xdard777 for his label code & Ogeima For the Comments code. 

#property indicator_chart_window
#property indicator_buffers 3
#property indicator_color1 Coral
#property indicator_width1 2

//---- indicator buffers

#define Daily "Daily"
#define Daily1 "Daily1"
#define Daily2 "Daily2"
#define Open1 "Open1"

extern color DailyColor =Maroon;
extern color DailyColor1 =DarkGreen;
extern color DailyColor2= C'0,44,09';
extern bool Show_TSR_TEXT = true;
//---- buffers

//---- input parameters
int shift=0,i2=0,WorkTime=0,Periods=0,CurPeriod=0,nTime=0;
int nDigits;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
{
IndicatorShortName("TSR");
   if(Symbol()=="GBPJPY" || Symbol()=="EURJPY" || Symbol()=="USDJPY" || Symbol()=="GOLD" || Symbol()=="USDMXN") nDigits = 2;
   if(Symbol()=="GBPUSD" || Symbol()=="EURUSD" || Symbol()=="NZDUSD" || Symbol()=="USDCHF"  ||
   Symbol()=="USDCAD" || Symbol()=="AUDUSD" || Symbol()=="EURUSD" || Symbol()=="EURCHF"  || Symbol()=="EURGBP"
   || Symbol()=="EURCAD" || Symbol()=="EURAUD" )nDigits = 4;


IndicatorShortName("TSR");
  
}
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
    ObjectsDeleteAll(0,OBJ_TRENDBYANGLE);
    ObjectsDeleteAll(0,OBJ_RECTANGLE);
    ObjectsDeleteAll(0,OBJ_LABEL);
    ObjectsDeleteAll(0,OBJ_TEXT);
    
   
   Comment(""); 
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+

int start()
 {
 
   int counted_bars= IndicatorCounted();
  
CreateHL();
}

void CreateObj(string objName, double start, double end, color clr)
  {
   ObjectCreate(objName, OBJ_RECTANGLE, 0, iTime(NULL,1440,0), start, Time[0], end);
   ObjectSet(objName, OBJPROP_COLOR, clr);
   ObjectCreate(objName, OBJ_RECTANGLE, 0, iTime(NULL,1440,0), 0, Time[0],0);
   ObjectSet(objName, OBJPROP_COLOR, clr);
   }
   void DeleteObjects()
   {
   ObjectDelete(Daily);
   
   ObjectDelete(Daily1);
   
   ObjectDelete(Daily2);
   
   
   }
   void CreateHL()
   {
       CreateOP();
}
void CreateObj2(string objName2, double start, double end, color clr)
  {
   ObjectCreate(objName2, OBJ_TRENDBYANGLE, 0, iTime(NULL,1440,0), start, Time[0], end);
   ObjectSet(objName2, OBJPROP_COLOR, clr);
   ObjectSet(objName2,OBJPROP_RAY,false);
   ObjectSet(objName2,OBJPROP_WIDTH,2);
   }
   ObjectDelete(Open1);
   
   void CreateOP()
   {
    ObjectsDeleteAll(0,OBJ_TRENDBYANGLE);
   DeleteObjects();
  double HI2 = iHigh(NULL,1440,0);
  double LOW2 = iLow(NULL,1440,0); 
  double HI3 = iHigh(NULL,1440,1);
  double LOW3 = iLow(NULL,1440,1);
  double HI4 = iHigh(NULL,1440,0);
  double LOW4 = iLow(NULL,1440,0);
  double HI5 = iHigh(NULL,1440,2);
  double LOW5 = iLow(NULL,1440,2);
  double HI6 = iHigh(NULL,1440,3);
  double LOW6 = iLow(NULL,1440,3);
  double HI7 = iHigh(NULL,1440,4);
  double LOW7 = iLow(NULL,1440,4);
  double HI8 = iHigh(NULL,1440,5);
  double LOW8 = iLow(NULL,1440,5);
  double HI9 = iHigh(NULL,1440,6);
  double LOW9 = iLow(NULL,1440,6);
  double HI10 = iHigh(NULL,1440,7);
  double LOW10 = iLow(NULL,1440,7);
  double HI11 = iHigh(NULL,1440,8);
  double LOW11 = iLow(NULL,1440,8);
  double HI12 = iHigh(NULL,1440,9);
  double LOW12 = iLow(NULL,1440,9);
  double HI13 = iHigh(NULL,1440,10);
  double LOW13 = iLow(NULL,1440,10);
  double HI14 = iHigh(NULL,1440,11);
  double LOW14 = iLow(NULL,1440,11);
  double HI15 = iHigh(NULL,1440,12);
  double LOW15 = iLow(NULL,1440,12);
  double HI16 = iHigh(NULL,1440,13);
  double LOW16 = iLow(NULL,1440,13);
  double HI17 = iHigh(NULL,1440,14);
  double LOW17 = iLow(NULL,1440,14);
  double HI18 = iHigh(NULL,1440,15);
  double LOW18 = iLow(NULL,1440,15);
  double HI19 = iHigh(NULL,1440,16);
  double LOW19 = iLow(NULL,1440,16);
  double HI20 = iHigh(NULL,1440,17);
  double LOW20 = iLow(NULL,1440,17);
  double HI21 = iHigh(NULL,1440,18);
  double LOW21 = iLow(NULL,1440,18);
  double HI22 = iHigh(NULL,1440,19);
  double LOW22 = iLow(NULL,1440,19);
  double HI23 = iHigh(NULL,1440,20);
  double LOW23 = iLow(NULL,1440,20);
  
  double OPEN = iOpen(NULL,1440,0);
  double CLOSE = iClose(NULL,1440,0);
  
  double ONE = (HI3-LOW3)/2;
  
  double FIVE = ((HI3-LOW3)+(HI5-LOW5)+(HI6-LOW6)+(HI7-LOW7)+(HI8-LOW8))/10;
                   
                
  double TEN = ((HI3-LOW3)+(HI5-LOW5)+(HI6-LOW6)+(HI7-LOW7)+(HI8-LOW8)+
                  (HI9-LOW9)+(HI10-LOW10)+(HI11-LOW11)+(HI12-LOW12)+(HI13-LOW13))/20;
                    
  double TWENTY = ((HI3-LOW3)+(HI5-LOW5)+(HI6-LOW6)+(HI7-LOW7)+(HI8-LOW8)+
               (HI9-LOW9)+(HI10-LOW10)+(HI11-LOW11)+(HI12-LOW12)+(HI13-LOW13)+
               (HI14-LOW14)+(HI15-LOW15)+(HI16-LOW16)+(HI17-LOW17)+(HI18-LOW18)+
               (HI19-LOW19)+(HI20-LOW20)+(HI21-LOW21)+(HI22-LOW22)+(HI23-LOW23))/40; 
                                              
  double AV = (ONE+FIVE+TEN+TWENTY)/4;// New Setting AV = (FIVE+TEN+TWENTY)/3;
  
  double HIDaily = iHigh(NULL,1440,0)-(AV);
  double LOWDaily = iLow(NULL,1440,0)+(AV);
  double HIDaily1 = iHigh(NULL,1440,0); 
  double LOWDaily1 =iLow(NULL,1440,0); 
  double HIDaily2 = iHigh(NULL,1440,0)-(AV)*2; 
  double LOWDaily2 =iLow(NULL,1440,0)+(AV)*2; 
  
  double CURRPRICE = iMA(Symbol(),0,1,0,MODE_EMA,PRICE_CLOSE,0); 
 
  string OPEN1,PIPS,HL,HI,LOW,TDR,BDR,FIFTY,LG,ST,PRO_L,PRO_S,CURR;
   
   if (Show_TSR_TEXT==true) 
   {
    OPEN1 = DoubleToStr(OPEN,Digits);
    PIPS =  DoubleToStr((CLOSE-OPEN)/Point,0);
    HL = 	DoubleToStr((HI2-LOW2)/Point,0);//DoubleToStr(AV/Point,0)
    HI =    DoubleToStr(HI2,Digits);
    LOW =   DoubleToStr(LOW2,Digits);
    TDR =   DoubleToStr(LOWDaily2,Digits);
    BDR =   DoubleToStr(HIDaily2,Digits);
    FIFTY = DoubleToStr(AV/Point,0);
    LG =    DoubleToStr(LOWDaily,Digits);
    ST =    DoubleToStr(HIDaily,Digits);  
    PRO_L = DoubleToStr((CURRPRICE-LOWDaily)/Point,0);
    PRO_S = DoubleToStr((HIDaily-CURRPRICE)/Point,0);
    CURR =  DoubleToStr(CURRPRICE,Digits);
    			
	ObjectDelete("TSR");
   TSR( "TSR", 22, 12,4);
   ObjectSetText( "TSR", "( T_S_R ) Daily Average Range"  , 10, "Arial", Orange );
   
   ObjectDelete("TSR2");
   TSR2( "TSR2", 50, 12,4);
   ObjectSetText( "TSR2", "Daily Open "  , 10, "Arial B", DarkTurquoise );//Open
   ObjectDelete("TSR3");
   TSR3( "TSR3", 50, 12,4);
   ObjectSetText( "TSR3"," "+ OPEN1 +"", 10, "Arial Bold", SkyBlue );
    
    ObjectDelete("TSR4");
   TSR4( "TSR4", 65, 12,4);
   ObjectSetText( "TSR4", "Pips from Open"  , 10, "Arial ", CadetBlue );//Pips from Open
   ObjectDelete("TSR5");
   TSR5( "TSR5", 65, 12,4);
   ObjectSetText( "TSR5"," "+PIPS+" " , 10, "Arial Bold", Orange );
   
   ObjectDelete("TSR10");
   TSR10( "TSR10", 80, 12,4);
   ObjectSetText( "TSR10", "From Hi to Low"  , 10, "Arial ", CadetBlue );//Hi/Low
   ObjectDelete("TSR11");
   TSR11( "TSR11", 80, 12,4);
   ObjectSetText( "TSR11"," "+HL+" " , 10, "Arial Bold", Orange );
   
    ObjectDelete("TSR6");
   TSR6( "TSR6", 100, 12,4);
   ObjectSetText( "TSR6", "Today's HIGH"  , 10, "Arial ", Green );//Hi
   ObjectDelete("TSR7");
   TSR7( "TSR7", 100, 12,4);
   ObjectSetText( "TSR7"," "+HI+" " , 10, "Arial Bold",  ForestGreen );
   
     ObjectDelete("TSR8");
   TSR8( "TSR8", 115, 12,4);
   ObjectSetText( "TSR8", "Today's LOW"  , 10, "Arial ", OrangeRed );//Low
   ObjectDelete("TSR9");
   TSR9( "TSR9", 115, 12,4);
   ObjectSetText( "TSR9"," "+LOW+" " , 10, "Arial Bold", Tomato );
   
   
   
     ObjectDelete("TSR12");
   TSR12( "TSR12", 140, 12,4);
   ObjectSetText( "TSR12", "Top Daily Range"  , 10, "Arial ", Green );//Top Range
   ObjectDelete("TSR13");
   TSR13( "TSR13", 140, 12,4);
   ObjectSetText( "TSR13"," "+TDR+" " , 10, "Arial Bold",  ForestGreen );
   
     ObjectDelete("TSR14");
   TSR14( "TSR14", 155, 12,4);
   ObjectSetText( "TSR14", "Bottom Daily Range"  , 10, "Arial ", OrangeRed );//Bottom Range
   ObjectDelete("TSR15");
   TSR15( "TSR15", 155, 12,4);
   ObjectSetText( "TSR15"," "+BDR+" " , 10, "Arial Bold", Tomato );
   
     ObjectDelete("TSR16");
   TSR16( "TSR16", 175, 12,4);
   ObjectSetText( "TSR16","50% Daily Range "  , 10, "Arial ", DarkTurquoise );//50%
   ObjectDelete("TSR17");
   TSR17( "TSR17", 175, 12,4);
   ObjectSetText( "TSR17"," "+FIFTY+" " , 10, "Arial Bold", SkyBlue );
   
     ObjectDelete("TSR18");
   TSR18( "TSR18", 195, 12,4);
   ObjectSetText( "TSR18", "LONG Entry"  , 10, "Arial ", Green );//LONG
   ObjectDelete("TSR19");
   TSR19( "TSR19", 195, 12,4);
   ObjectSetText( "TSR19"," "+LG+" " , 10, "Arial Bold",  ForestGreen );
   
     ObjectDelete("TSR20");
   TSR20( "TSR20", 210, 12,4);
   ObjectSetText( "TSR20", "SHORT Entry"  , 10, "Arial ", OrangeRed );//SHORT
   ObjectDelete("TSR21");
   TSR21( "TSR21", 210, 12,4);
   ObjectSetText( "TSR21"," "+ST+" " , 10, "Arial Bold", Tomato );
   
    
     ObjectDelete("TSR22");
   TSR22( "TSR22", 230, 12,4);
   ObjectSetText( "TSR22", "Profit LONG"  , 10, "Arial ", Green );//PRO LONG
   ObjectDelete("TSR23");
   TSR23( "TSR23", 230, 12,4);
   ObjectSetText( "TSR23"," "+PRO_L+" " , 10, "Arial Bold",  ForestGreen );
   
     ObjectDelete("TSR24");
   TSR24( "TSR24", 245, 12,4);
   ObjectSetText( "TSR24", "Profit SHORT "  , 10, "Arial ", OrangeRed );//PRO SHORT
   ObjectDelete("TSR25");
   TSR25( "TSR25", 245, 12,4);
   ObjectSetText( "TSR25"," "+PRO_S+" " , 10, "Arial Bold", Tomato );
   
      ObjectDelete("TSR26");
   TSR26( "TSR26", 270, 12,4);
   ObjectSetText( "TSR26", "Price "  , 10, "Arial ", DarkTurquoise );//PRICE
   ObjectDelete("TSR27");
   TSR27( "TSR27", 270, 12,4);
   ObjectSetText( "TSR27"," "+CURR+" " , 15, "Arial", SkyBlue );
}

//Short Average

 if(ObjectFind("HIDaily1") != 0)
{
ObjectCreate("HIDaily1", OBJ_TEXT, 0, Time[0], HIDaily);
ObjectSetText("HIDaily1", "                        SHORT Entry", 9, "Verdana", Yellow);
}
else
{
ObjectMove("HIDaily1", 0, Time[0], HIDaily);
} 

//High Average
 if(ObjectFind("HIDaily2") != 0)
{
ObjectCreate("HIDaily2", OBJ_TEXT, 0, Time[0], LOWDaily);
ObjectSetText("HIDaily2", "                      LONG Entry", 9, "Verdana", Yellow);
}
else
{
ObjectMove("HIDaily2", 0, Time[0], LOWDaily);
}

//Today's High
 if(ObjectFind("HIDaily3") != 0)
{
ObjectCreate("HIDaily3", OBJ_TEXT, 0, Time[0], HI4);
ObjectSetText("HIDaily3", "            High ", 9, "Verdana", YellowGreen);
}
else
{
ObjectMove("HIDaily3", 0, Time[0], HI4);
}

//Todays Low 
 if(ObjectFind("HIDaily4") != 0)
{
ObjectCreate("HIDaily4", OBJ_TEXT, 0, Time[0], LOW4);
ObjectSetText("HIDaily4", "           Low ", 9, "Verdana", YellowGreen);
}
else
{
ObjectMove("HIDaily4", 0, Time[0], LOW4);
}

//Open
 if(ObjectFind("HIDaily5") != 0)
{
ObjectCreate("HIDaily5", OBJ_TEXT, 0, Time[0], OPEN);
ObjectSetText("HIDaily5", "             Open ", 9, "Verdana",SandyBrown);
}
else
{
ObjectMove("HIDaily5", 0, Time[0], OPEN);
}

//Bottom of Daily Range
 if(ObjectFind("HIDaily6") != 0)
{
ObjectCreate("HIDaily6", OBJ_TEXT, 0, Time[8],HIDaily2);
ObjectSetText("HIDaily6", "Bottom Daily Range", 9, "Verdana",SandyBrown);
}
else
{
ObjectMove("HIDaily6", 0, Time[8], HIDaily2);
}
//TOP of Daily Range
 if(ObjectFind("HIDaily7") != 0)
{
ObjectCreate("HIDaily7", OBJ_TEXT, 0, Time[7],LOWDaily2);
ObjectSetText("HIDaily7", "Top Daily Range", 9, "Verdana",SandyBrown);
}
else
{
ObjectMove("HIDaily7", 0, Time[7], LOWDaily2);
}

   {
if( (WorkTime != Time[0]) || (Periods != Period()) ) {
CreateObj(Daily, HIDaily, LOWDaily, DailyColor);
CreateObj(Daily1, HIDaily1, LOWDaily1, DailyColor1);
CreateObj(Daily2, HIDaily2, LOWDaily2, DailyColor2);
CreateObj2(Open1,OPEN,OPEN, Coral);}

       
    
} 
  
   
   return(0);
  }
//+------------------------------------------------------------------+

int TSR( string Text, int xOffset, int yOffset,int iCorner) //TITLE
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 20);
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
}
int TSR2( string Text, int xOffset, int yOffset,int iCorner) //OPEN
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 20 );
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
} 
int TSR3( string Text, int xOffset, int yOffset,int iCorner) //OPEN
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 100);
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
}
int TSR4( string Text, int xOffset, int yOffset,int iCorner) //PIPS
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 20 );
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
} 
int TSR5( string Text, int xOffset, int yOffset,int iCorner) //PIPS
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 120);
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
}
int TSR6( string Text, int xOffset, int yOffset,int iCorner) //HI/LOW
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 20 );
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
} 
int TSR7( string Text, int xOffset, int yOffset,int iCorner) //HI/LOW
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 120);
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
}
int TSR8( string Text, int xOffset, int yOffset,int iCorner) //HI
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 20 );
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
} 
int TSR9( string Text, int xOffset, int yOffset,int iCorner) //HI
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 120);
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
}
int TSR10( string Text, int xOffset, int yOffset,int iCorner) //LOW
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 20 );
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
} 
int TSR11( string Text, int xOffset, int yOffset,int iCorner) //LOW
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 120);
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
}
int TSR12( string Text, int xOffset, int yOffset,int iCorner) //TOP
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 20 );
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
} 
int TSR13( string Text, int xOffset, int yOffset,int iCorner) //TOP
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 150);
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
}
int TSR14( string Text, int xOffset, int yOffset,int iCorner) //BOT
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 20 );
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
} 
int TSR15( string Text, int xOffset, int yOffset,int iCorner) //BOT
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 150);
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
}
int TSR16( string Text, int xOffset, int yOffset,int iCorner) //50%
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 20 );
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
} 
int TSR17( string Text, int xOffset, int yOffset,int iCorner) //50%
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 130);
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
}
int TSR18( string Text, int xOffset, int yOffset,int iCorner) //LONG
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 20 );
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
} 
int TSR19( string Text, int xOffset, int yOffset,int iCorner) //LONG
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 110);
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
}
int TSR20( string Text, int xOffset, int yOffset,int iCorner) //SHORT
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 20 );
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
} 
int TSR21( string Text, int xOffset, int yOffset,int iCorner) //SHORT
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 110);
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
}
int TSR22( string Text, int xOffset, int yOffset,int iCorner) //PRO L
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 20 );
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
} 
int TSR23( string Text, int xOffset, int yOffset,int iCorner) //PRO L
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 110);
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
}
int TSR24( string Text, int xOffset, int yOffset,int iCorner) //PRO S
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 20 );
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
} 
int TSR25( string Text, int xOffset, int yOffset,int iCorner) //PRO S
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 110);
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
}
int TSR26( string Text, int xOffset, int yOffset,int iCorner) //PRICE
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 20 );
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
} 
int TSR27( string Text, int xOffset, int yOffset,int iCorner) //PRICE
{  ObjectCreate(Text,OBJ_LABEL         , 0, 0, 0 );
   ObjectSet   (Text,OBJPROP_CORNER    , iCorner);
   ObjectSet   (Text,OBJPROP_XDISTANCE , 55);
   ObjectSet   (Text,OBJPROP_YDISTANCE , xOffset );
   ObjectSet   (Text,OBJPROP_BACK      , True );
}